Bug 1384638 - [abrt] workrave: _XSend(): workrave killed by SIGSEGV
Summary: [abrt] workrave: _XSend(): workrave killed by SIGSEGV
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: workrave
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yaakov Selkowitz
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3e1119957dabd7ee414c60a0a77...
: 1357244 1401833 1468408 1480017 (view as bug list)
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-10-13 18:13 UTC by Adam Williamson
Modified: 2017-08-10 04:45 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-13 18:39:45 UTC


Attachments (Terms of Use)
File: backtrace (27.67 KB, text/plain)
2016-10-13 18:13 UTC, Adam Williamson
no flags Details
File: cgroup (276 bytes, text/plain)
2016-10-13 18:13 UTC, Adam Williamson
no flags Details
File: core_backtrace (4.22 KB, text/plain)
2016-10-13 18:13 UTC, Adam Williamson
no flags Details
File: dso_list (11.45 KB, text/plain)
2016-10-13 18:13 UTC, Adam Williamson
no flags Details
File: environ (3.39 KB, text/plain)
2016-10-13 18:13 UTC, Adam Williamson
no flags Details
File: exploitable (82 bytes, text/plain)
2016-10-13 18:13 UTC, Adam Williamson
no flags Details
File: limits (1.29 KB, text/plain)
2016-10-13 18:13 UTC, Adam Williamson
no flags Details
File: maps (49.22 KB, text/plain)
2016-10-13 18:13 UTC, Adam Williamson
no flags Details
File: mountinfo (5.39 KB, text/plain)
2016-10-13 18:13 UTC, Adam Williamson
no flags Details
File: namespaces (102 bytes, text/plain)
2016-10-13 18:13 UTC, Adam Williamson
no flags Details
File: open_fds (943 bytes, text/plain)
2016-10-13 18:13 UTC, Adam Williamson
no flags Details
File: proc_pid_status (1.13 KB, text/plain)
2016-10-13 18:13 UTC, Adam Williamson
no flags Details
File: var_log_messages (308 bytes, text/plain)
2016-10-13 18:13 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2016-10-13 18:13:17 UTC
Description of problem:
Tried to launch workrave in a GNOME Wayland session. Crashes on launch.

Version-Release number of selected component:
workrave-1.10.16-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        workrave
crash_function: _XSend
executable:     /usr/bin/workrave
global_pid:     7732
kernel:         4.8.1-1.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _XSend at xcb_io.c:447
 #1 XQueryExtension at QuExt.c:47
 #2 XInitExtension at InitExt.c:47
 #3 XextAddDisplay at extutil.c:110
 #4 XScreenSaverQueryExtension at XScrnSaver.c:158
 #5 XScreenSaverMonitor::init at XScreenSaverMonitor.cc:71
 #6 UnixInputMonitorFactory::get_monitor at UnixInputMonitorFactory.cc:107
 #7 ActivityMonitor::ActivityMonitor at ActivityMonitor.cc:76
 #8 Core::init_monitor at Core.cc:286
 #9 Core::init at Core.cc:171

Comment 1 Adam Williamson 2016-10-13 18:13:22 UTC
Created attachment 1210208 [details]
File: backtrace

Comment 2 Adam Williamson 2016-10-13 18:13:23 UTC
Created attachment 1210209 [details]
File: cgroup

Comment 3 Adam Williamson 2016-10-13 18:13:24 UTC
Created attachment 1210210 [details]
File: core_backtrace

Comment 4 Adam Williamson 2016-10-13 18:13:25 UTC
Created attachment 1210211 [details]
File: dso_list

Comment 5 Adam Williamson 2016-10-13 18:13:26 UTC
Created attachment 1210212 [details]
File: environ

Comment 6 Adam Williamson 2016-10-13 18:13:27 UTC
Created attachment 1210213 [details]
File: exploitable

Comment 7 Adam Williamson 2016-10-13 18:13:28 UTC
Created attachment 1210214 [details]
File: limits

Comment 8 Adam Williamson 2016-10-13 18:13:30 UTC
Created attachment 1210215 [details]
File: maps

Comment 9 Adam Williamson 2016-10-13 18:13:31 UTC
Created attachment 1210216 [details]
File: mountinfo

Comment 10 Adam Williamson 2016-10-13 18:13:32 UTC
Created attachment 1210217 [details]
File: namespaces

Comment 11 Adam Williamson 2016-10-13 18:13:33 UTC
Created attachment 1210218 [details]
File: open_fds

Comment 12 Adam Williamson 2016-10-13 18:13:34 UTC
Created attachment 1210219 [details]
File: proc_pid_status

Comment 13 Adam Williamson 2016-10-13 18:13:36 UTC
Created attachment 1210220 [details]
File: var_log_messages

Comment 14 Adam Williamson 2016-10-13 18:13:45 UTC
*** Bug 1357244 has been marked as a duplicate of this bug. ***

Comment 15 Yaakov Selkowitz 2016-10-13 18:39:45 UTC
Workrave has no Wayland backend; until such time that it has one, it simply won't work thereon.

Comment 16 Adam Williamson 2016-10-13 20:25:38 UTC
Non-native apps are generally supposed to work fine with XWayland. Are you saying workrave is somehow special and must be ported to native Wayland in order to work? It can't work with XWayland?

Comment 17 Yaakov Selkowitz 2016-10-14 06:57:42 UTC
Workrave is not a normal X11 application, it is for "typing-break"s; it needs native access to the windowing system to get input idle times as well as being able to lock out input.  Therefore, it requires native support for whatever it's running on, and while it does support multiple backends (Cocoa, Win32, and X11), Wayland is not one of them.

Comment 18 Yaakov Selkowitz 2016-12-06 09:40:16 UTC
*** Bug 1401833 has been marked as a duplicate of this bug. ***

Comment 19 Yaakov Selkowitz 2017-07-07 04:34:28 UTC
*** Bug 1468408 has been marked as a duplicate of this bug. ***

Comment 20 Yaakov Selkowitz 2017-08-10 04:45:21 UTC
*** Bug 1480017 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.